---
title: Adopters
sidebar_position: 1
slug: /adopters
---

| Company/Team | Industry & Use Cases | User Story |
|--------------|----------------------|------------|
| [NAVER](https://www.naver.com) | Search engine, Training, Inference | [NAVER, Korea's No.1 Search Engine, Chose JuiceFS over Alluxio for AI Storage](https://juicefs.com/en/blog/user-stories/juicefs-vs-alluxio-ai-storage-naver)  |
| [Character.AI](https://character.ai) | GenAI, Training |              |
| [Fal](https://fal.ai) | GenAI, Inference    |           |
| [BentoML](https://bentoml.com)  | GenAI, Inference  | [BentoML Reduced LLM Loading Time from 20+ to a Few Minutes with JuiceF](https://juicefs.com/en/blog/user-stories/accelerate-large-language-model-loading)   |
| [Lepton AI](https://www.lepton.ai) | GenAI, Training, Inference | [How Lepton AI Cut Cloud Storage Costs by 98% for AI Workflows with JuiceFS](https://juicefs.com/en/blog/user-stories/cloud-storage-artificial-intelligence-juicefs-vs-efs)          |
| [Graviti Diffus](https://www.diffus.graviti.com) | GenAI, Inference |      |
| [Plus.AI](https://plus.ai) | Autonomous driving, AI pipeline  |                     |
| [Jerry](https://getjerry.com) | Car insurance, Data platform | [Low-Cost Read/Write Separation: Jerry Builds a Primary-Replica ClickHouse Architecture](https://juicefs.com/en/blog/user-stories/read-write-separation) |
| [DJI](https://www.dji.com) | Drone & Autonomous driving, AI pipeline|             |
| [Clobotics](https://clobotics.com)   | Drone, AI pipeline  | [How Clobotics Overcame Multi-Cloud and Massive File Storage Challenges](https://juicefs.com/en/blog/user-stories/multi-cloud-storage-posix-compatible)     |
| [TP-LINK](https://www.tp-link.com) | AI      |       |
| [MemVerge](https://memverge.com)  | BioTech, High performance file store  |            |
| [MDI Biological Laboratory](https://mdibl.org) | BioTech, High performance file store |           |
| [Lawrence Berkeley Lab](https://www.lbl.gov) | BioTech, High performance file store |             |
| [American Museum of Natural History](https://www.amnh.org) | Non-profit, HPC, File sharing |     |
| [Argonne National Laboratory](https://www.anl.gov) | Non-profit |     |
| [Texas A&M Unversity](https://www.tamu.edu) | Education |     |
| [Simon Fraser University](https://www.sfu.ca) | Education |     |
| [University of Canberra](https://www.canberra.edu.au) | Education |     |
| [PITS Globale Datenrettungsdienste](https://www.pitsdatenrettung.de)  | Data recovery service, File Sharing   |           |
| [ExaLeap Semiconductor](https://exaleapsemi.com) | Semiconductor |     |
| [Cherry Digital](https://cherrydigital.com) | Digital media |      |
| [Shopee](https://shopee.com)  | E-commerce, Data platform  | [Shopee x JuiceFS: ClickHouse Cold and Hot Data Separation Storage Architecture and Practice](https://juicefs.com/en/blog/shopee-clickhouse-with-juicefs)    |
| [Zhihu](https://www.zhihu.com)  | Internet service, Training, Inference | [How Zhihu Ensures Stable Storage for LLM Training in Multi-Cloud Architecture](https://juicefs.com/en/blog/user-stories/ai-storage-llm-training-multi-cloud)   |
| [Grab](https://grab.com/sg)  | Data platform  |             |
| [CCB Fintech](https://www.ccbft.com)  | Fintech, AI, File sharing  |      |
| [Pingan Bank](https://pingan.com)  | Fintech, Data platform  |             |
| [Tongdun](https://tongdun.cn)  | Fintech, Data platform |        |
| [Yaoxin Financing Re-Guarantee](https://www.yaoxinhd.com)  | Data platform, File sharing      |          |
| [China Telecom](https://www.chinatelecomglobal.com)  | Telecom, Data platform | [Scaling Hadoop on cloud: Managing PB-Level Data through Separation of Compute and Storage with JuiceFS](https://juicefs.com/en/blog/user-stories/applicatio-of-juicefs-in-china-telecoms-daily-average-pb-data-scenario)   |
| [China Mobile Cloud](https://ecloud.he.chinamobile.com)  | Public cloud, Data platform  | [Improving Apache HBase Performance on Cloud with JuiceFS](https://juicefs.com/en/blog/user-stories/juicefs-support-hbase-at-chinamobile-cloud)    |
| [Volcano Engine](https://www.volcengine.com)  | Public cloud, File sharing, VFX rendering | [How JuiceFS Accelerates Edge Rendering Performance in Volcengine](https://juicefs.com/en/blog/user-stories/how-juicefs-accelerates-edge-rendering-performance-in-volcengine)   |
| [Kingsoft Cloud](https://en.ksyun.com)   | Public cloud, Data platform | [Storing Elasticsearch Warm/Cold Data on Object Storage with JuiceFS: A Guide by Kingsoft Cloud](https://juicefs.com/en/blog/user-stories/kingsoft-cloud-how-to-store-elasticsearch-data-in-objective-storage-with-juicefs) |
| [Piesat Information Technology Co., Ltd.](https://www.piesat.cn)   | GIS, File sharing   |         |
| [National Supercomputing Center in JiNan](https://www.nsccjn.cn)   |  HPC, AI    |              |
| [Xiaomi](https://www.mi.com/global)   | Consumer electronics, Training, Inference  | [Xiaomi: Building a Cloud-Native File Storage Platform to Host 5B+ Files in AI Training & More](https://juicefs.com/en/blog/user-stories/cloud-native-file-storage-platform-ai-training)  |
| [vivo](https://www.vivo.com)   | Consumer electronics, Training, Inference  |            |
| [SF Express](https://www.sf-express.com)  | Logistics, AI pipeline, File sharing   |           |
| [Unisound](https://www.unisound.com)  | AI, Training, Inference   | [Unisound’s HPC Platform accelerates AI model training and development with JuiceFS](https://juicefs.com/en/blog/unisounds-hpc-platform-accelerates-ai-model-training-and-development-with-juicefs)   |
| [Yimian](https://www.yimian.io)  | Consulting, Data platform   | [Yimian Migrated Hadoop to the Cloud: 2x Storage Capacity & Fewer Ops Costs](https://juicefs.com/en/blog/user-stories/migrating-hadoop-to-cloud-2x-storage-capacity-fewer-ops-costs)  |
| [Trip.com](https://www.trip.com)   | Internet service, Data platform, File sharing  | [Trip.com’s practice of massive cold data migrating to object storage with JuiceFS](https://juicefs.com/en/blog/user-stories/a-practice-of-massive-cold-data-migrating-to-oss-with-juicefs), [JuiceFS at Trip.com: Managing 10 PB of Data for Stable and Cost-Effective LLM Storage](https://juicefs.com/en/blog/user-stories/large-language-model-artificial-intelligence-storage-cost-effective)   |
| [Beike](https://ke.com)  | Internet service, AI pipline   | [Beike Loads AI Models 20x Faster with Hybrid Cloud Storage](https://juicefs.com/en/blog/user-stories/ai-model-accelerate)    |
| [Baidu](https://ir.baidu.com/company-overview)  | Internet Service    |             |
| [Tongcheng Travel](https://www.tongchengir.com)  | Internet service, File sharing    | [Tongcheng Travel Chose JuiceFS over CephFS to Manage Hundreds of Millions of Files](https://juicefs.com/en/blog/user-stories/juicefs-vs-cephfs-distributed-file-system-artificial-intelligence-storage)          |
| [Skyplatanus](https://www.kuaidianyuedu.com)  | Internet service, AI, File sharing |              |
| [NetEase Games](https://www.neteasegames.com)   | Gaming, Data platform, File sharing      | [50%+ Cut in Both Storage & Compute Costs: Designing NetEase Games' Cloud Big Data Platform](https://juicefs.com/en/blog/user-stories/cut-storage-compute-costs-cloud-big-data-platform)   |
| [Joyient](http://www.joyient.com)  | Gaming, File sharing, VFX rendering |            |
| [CVTE](http://www.cvte.com/en)  | Education, File sharing  |            |
| [Ricequant](https://www.ricequant.com)  | Quantitative trading, AI, File sharing   |         |
| [Dmall](https://www.dmall.com/en) | SaaS, Data platform, File sharing | [Why DMALL Switched to a Big Data Storage-Compute Decoupled Architecture](https://juicefs.com/en/blog/user-stories/storage-compute-decoupled-architecture-cloud-native-big-data)      |
| [Horizon Robotics](https://horizon.ai)  | Autonomous driving, AI pipeline |                 |
| [Li Auto](https://www.lixiang.com/en) | Automotive, Big Data, AI  | [Migrating on-Premises Hadoop to Cloud with JuiceFS: A Case Study from Li Auto](https://juicefs.com/en/blog/user-stories/li-autos-practice-of-migrating-data-from-hdfs-to-juicefs)   |
| [NIO Auto](https://www.nio.com)  | Automotive, AI, File sharing |         |
| [SAIC Motor](https://www.saicmotor.com/english)    | Automotive, AI   |          |
| [Wuling Auto](https://wuling.com) | Automotive, Data platform   |           |
| [coSence](https://www.coscene.io)  | Robotics, AI pipeline  | [coScene Chose JuiceFS over Alluxio to Tackle Object Storage Drawbacks](https://juicefs.com/en/blog/user-stories/juicefs-vs-alluxio-ai-robot-storage)          |
| [DP Technology](https://www.dp.tech)   | BioTech, AI pipeline  | [AI & HPC Workloads on Hybrid Cloud: Storage Challenges and Solutions](https://juicefs.com/en/blog/user-stories/storage-architectures-for-ai-hpc-in-hybridmulti-cloud)   |
| [Gene Way](https://www.geneway.cn)    | BioTech, File sharing  |              |
| [CoCalc](https://doc.cocalc.com/cloud_file_system.html) | Data Science, AI, Education, Cloud GPU's |   |

You are welcome to share your experience after using JuiceFS, either by submitting a Pull Request directly to this list, or by contacting us at [`hello@juicedata.io`](mailto:hello@juicedata.io).
